Name:           puppet-afs
Version:        2.3
Release:        1%{?dist}
Summary:        Masterless puppet module for afs

Group:          CERN/Utilities
License:        BSD
URL:            http://linux.cern.ch
Source0:        %{name}-%{version}.tgz

BuildArch:      noarch

Requires:       puppet-stdlib

%description
Puppet Afs module for locmap

%prep
%setup -q

%build
CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/afs/
install -d %{buildroot}/etc/locmap/code/environments/production/hieradata/modules/afs/
cp -ra code/* %{buildroot}/%{_datadir}/puppet/modules/afs/
cp -ra data/afs.yaml %{buildroot}/etc/locmap/code/environments/production/hieradata/modules/afs/afs.yaml
touch %{buildroot}/%{_datadir}/puppet/modules/afs/linuxsupport

%files -n puppet-afs
/etc/locmap/code/environments/production/hieradata/modules/afs/afs.yaml
%{_datadir}/puppet/modules/afs
%doc code/README.md

%changelog
* Wed Feb 17 2021 Ben Morrice <ben.morrice@cern.ch> - 2.3-1
- change how kmod-openafs is installed

* Tue Feb 16 2021 Ben Morrice <ben.morrice@cern.ch> - 2.2-2
- add dektop specific code

* Fri Jan 15 2021 Ben Morrice <ben.morrice@cern.ch> - 2.2-1
- rebase to #0c72f5dd6

* Mon Feb 24 2020 Ben Morrice <ben.morrice@cern.ch> - 2.1-1
- rebase to c8 enabled code

* Mon Jan 27 2020 Ben Morrice <ben.morrice@cern.ch> - 2.0-4
- remove requires cern-afs-setserverprefs

* Thu Jan 09 2020 Ben Morrice <ben.morrice@cern.ch> - 2.0-3
- Build for el8

* Tue May 15 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-2
- Add requires cern-afs-setserverprefs

* Wed May 02 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-1
- New version for locmap 2.0

* Tue Mar 14 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-2
- Make CellServDB download optional

* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3 release

* Wed Nov 16 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Authconfig is handling pam lines

* Fri Jun 10 2016 Aris Boutselis <aris.boutselis@cern.ch>
-Initial release


